# README

This file provides information about what data is included in the dataset of software testing Massive Open Online Courses (MOOCs)

## Introduction

The dataset of software testing Massive Open Online Courses (MOOCs) includes one Excel file that consists of 6 sheets. The "Providers" sheet includes general information about how we searched for courses in each of the providers and what results that yielded. The "Courses" sheet includes some general information about each of the courses and some metadata. The "Course descriptions", "Teaching techniques" and "Topics" sheets cover the respective data we collected from each course. Lastly, the "Topics categorized" sheet includes the categorization of the topics.

In case of questions you can contact the author at n.dziugaite@student.tudelft.nl

## Methodology

We analyzed each of the courses that were selected for this study. We noted some metadata such as price, duration, level, and prerequisites. Additionally, we took note of ratings, the number of ratings and the number of people enrolled in the courses whenever this data was available.

Furthermore, we analyzed the course descriptions. All of the information for this part was gathered without accessing the course itself, only from what is presented before enrolling.

Moreover, the teaching techniques used in the courses were analyzed. We noted whether courses include videos, reading material, quizzes,  practical exercises and discussion prompts.

Lastly, we collected data about what topics and tools were taught in each course. Keywords regarding topics and tools were gathered from the syllabus, course content, learning objectives and course descriptions or a subset of these if some aspects were missing or inaccessible. The majority of the time keywords were extracted from video or reading section titles and descriptions. When the titles were too vague or descriptions were missing we extracted topics from the first or last video of the module, when the instructor explained the topics or did a recap of the module.

## Data specific information

In the dataset a '-' symbol is used to represent missing information. Whether or not the corresponding attribute was found in a course is indicated by '+' if it was found and by a blank cell if it was not.

The "Providers" sheet lists the names of all of the selected MOOC providers, the search terms used, the number of results after the search term, the filters used to narrow down the search, the date of the search and the number of relevant courses selected for the study from each provider. The "Courses" sheet includes the name of the course, date, provider and link followed by metadata of the courses. The other sheets include the names of the courses, providers and links followed by the respective data that was collected.
